#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'gtk3'

alias e puts

fontchooserdialog = Gtk::FontChooserDialog.new
fontchooserdialog.set_title('FontChooserDialog')
fontchooserdialog.move(0, 0)

response = fontchooserdialog.run

case response
when Gtk::ResponseType::OK
  e "Font selected: #{fontchooserdialog.font}"
end

fontchooserdialog.destroy
